SellOMatic = LibStub("AceAddon-3.0"):NewAddon("Sell-O-Matic", "AceEvent-3.0", "AceConsole-3.0");
local L = LibStub("AceLocale-3.0"):GetLocale("SellOMatic",true);
local abacus = LibStub("LibAbacus-3.0");

local function getOption(info)
	return (info.arg and SellOMatic.db.profile[info.arg] or SellOMatic.db.profile[info[#info]]);
end;

local function setOption(info, value)
	local key = info.arg or info[#info];
	SellOMatic.db.profile[key] = value;
end;

-- Main options
local main_options = {
	name = "Sell-O-Matic",
	handler = SellOMatic,
	type = "group",
	args = {
	
	},
}

-- List options
local list_options = {
	name = "List options",
	type = "group",
	args = {
	
	},
}

-- Little help...
local help = {
	name = "Help",
	type = "group",
	args = {
	
	},
}

-- Profile options
local profile_options = {
	name = "Profiles",
	type = "group",
	args = {
	
	},
}

-- Default DB values
local defaults = {
	profile = {
	
	},
}

-- OnInitialize checks
function SellOMatic:OnInitialize()

end;

-- OnEnable checks
function SellOMatic:OnEnable()

end;

-- Open config window or execute order
function SellOMatic:ChatCommand(input)
    if not input or input:trim() == "" then
        InterfaceOptionsFrame_OpenToCategory(self.optionsFrame);
    else
        LibStub("AceConfigCmd-3.0").HandleCommand(SellOMatic, "SellOMatic", "SellOMatic", input);
    end;
end;

-- Selling functions --
-- Big MAIN function
function SellOMatic:Sell()
	nItem = 0;
	nItem = self:SellTrash(nItem);
	if nItem > 0 then
		self:ShowProfit(nItem);
		profit = 0;
	end;
end;

-- Sell all your gray/junk items
function SellOMatic:SellTrash(nItem)
	for nBag = 0,4,1 do
		for nSlot = 1,GetContainerNumSlots(nBag),1 do
			iName = GetContainerItemLink(nBag, nSlot);
			if iName ~= nil then
				_,_,iRarity,_,_,_,_,_,_,_,_ = GetItemInfo(iName);
				if iRarity == 0 then
					SellOMatic_Tooltip:SetBagItem(nBag,nSlot);
					-- Detail // Print("Selling blah")
					UseContainerItem(nBag,nSlot);
					nItem = nItem + 1;
				end;
			end;
		end;
	end;
	return nItem;
end;

-- Sum profit
function SellOMatic_SetProfit()
	if (arg1) then
		profit = profit + arg1;
		profit_item = arg1;
	end;
end;

-- Show profit
function SellOMatic:ShowProfit()
	-- Print functions with abacus
end;

